%define name dvi2tty
%define version 5.1
%define release 2mdk

Name:		%{name}
Summary:	Convert dvi files to ASCII files
Version:	%{version}
Release:	%{release}
Copyright:	Copyrighted, free for non-commercial use only
Group:		Publishing
Source:		%{name}-%{version}.tar.bz2
Patch:		%{name}-%{version}.patch.bz2
BuildRoot:	/var/tmp/%{name}-buildroot
Prefix:		/usr
Packager:	Vincent Danen <vdanen@linux-mandrake.com>


%description
dvi2tty is designed to preview TeX dvi files on ASCII devices, (such as
terminals and line printers).  This version was written in the C language
by Marcel J.E. Mol, and is derived from the original pascal program
written by Svante Lindahl.

Since more sophisticated output devices are now common place, most users
rely on dvips, or other dvi converters, for everyday TeX processing.
However, every TeX user will find dvi2tty to be handy, (ie: you need
to transmit a TeX document in softcopy form to someone who religiously
bought every release of Word, thinking they could read *any* document
in existance).

%prep
%setup -q
%patch -p1


%build
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir -p $RPM_BUILD_ROOT

make CFLAGS="$RPM_OPT_FLAGS"
latex dvi2tty.tex

%install
install -d $RPM_BUILD_ROOT%{prefix}/bin
install -d $RPM_BUILD_ROOT%{prefix}/man/man1
install -d $RPM_BUILD_ROOT%{prefix}/doc/%{name}-%{version}
install -m 755 -s disdvi $RPM_BUILD_ROOT%{prefix}/bin/
install -m 755 -s dvi2tty $RPM_BUILD_ROOT%{prefix}/bin/
install -m 644 -s disdvi.l $RPM_BUILD_ROOT%{prefix}/man/man1/
install -m 644 -s dvi2tty.1 $RPM_BUILD_ROOT%{prefix}/man/man1/

#%clean
#if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
#rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files 
%defattr(-,root,root)
%doc dvi2tty.tex dvi2tty.dvi
/usr/bin/*
/usr/man/man1/*

%changelog
* Tue Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 5.1-2mdk
- fix group
- fix files section

* Mon Feb 07 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- used srpm provided by Vincent Danen <vdanen@linux-mandrake.com>

* Mon Jan 31 2000 Vincent Danen <vdanen@linux-mandrake.com>
- initial specfile
- bzip sources
- bzip manpages

